Skip to main content
`Ctrl`+`K`

# skbio.stats.ordination.OrdinationResults.read

OrdinationResults.read(format=None, **kwargs)

  Create a new `OrdinationResults` instance from a file.

  This is a convenience method for `skbio.io.registry.read`. For more information about the I/O system in scikit-bio, please see `skbio.io`.

  Supported file formats include:

  - `'ordination'` (`skbio.io.format.ordination`)

  Parameters:
    file openable (filepath, URL, filehandle, etc.)

      The location to read the given format into. Something that is understood by `skbio.io.util.open`. Filehandles are not automatically closed, it is the responsibility of the caller.

    format str, optional

      The format of the file. The format must be a format name with a reader for `OrdinationResults`. If None, the format will be inferred.

    kwargs dict, optional

      Additional arguments passed to `skbio.io.registry.read` and the reader for `OrdinationResults`.

  Returns:
    `OrdinationResults`

      A new instance.

  See also

  `write`
  `skbio.io.registry.read`
  `skbio.io.util.open`
  `skbio.io.format.ordination`